Package Gnumed :: Package wxpython :: Module gmNarrativeWidgets :: Class cSoapNoteInputNotebook |
[frames] | no frames]

# Class cSoapNoteInputNotebook

source code

    wx.Notebook --+
                  |
                 cSoapNoteInputNotebook

A notebook holding panels with progress note editors.

There can be one or several progress note editor panel for each episode being worked on. The editor class in each panel is configurable.

There will always be one open editor.

Instance Methods
__init__(self, *args, **kwargs) | source code
add_editor(self, problem=None, allow_same_problem=False) Add a progress note editor page. | source code
close_current_editor(self) | source code
save_current_editor(self, emr=None, episode_name_candidates=None, encounter=None) | source code
warn_on_unsaved_soap(self) | source code
save_all_editors(self, emr=None, episode_name_candidates=None) | source code
clear_current_editor(self) | source code
get_current_problem(self) | source code
refresh_current_editor(self) | source code
add_visual_progress_note_to_current_problem(self) | source code

Method Details

### add_editor(self, problem=None, allow_same_problem=False) | source code
Add a progress note editor page. The way <allow_same_problem> is currently used in callers it only applies to unassociated episodes.